Skip to main content
GET
/
users
/
bookings
/
{user_id}
Error
A valid request URL is required to generate request examples
{
  "success": 1,
  "data": [
    {
      "_id": "60d21b4667d0d8992e610c87",
      "activity_id": "60d21b4667d0d8992e610c85",
      "variation_id": "60d21b4667d0d8992e610c86",
      "reseller_id": "60d21b4667d0d8992e610c82",
      "status": "Paid by Customer",
      "partnerConfirmation": "Confirmed",
      "bookingDate": "2023-07-15",
      "bookingTime": "10:00",
      "price": {
        "totalPrice": 150,
        "affiliateDeservedAmount": 15
      },
      "external_payment_id": "pay_1N9dvSLkdIwHu2QOxgMtN9dE"
    }
  ],
  "pagination": {
    "pageSize": 10,
    "page": 1,
    "totalCount": 50
  }
}

Authorizations

x-api-token
string
header
required

Path Parameters

user_id
string
required

ID of the user to get bookings for

Query Parameters

page
integer
Example:

1

pageSize
integer
Example:

10

Response

Successful response

success
integer
Example:

1

data
object[]
pagination
object